
From: "Antonino A. Daplas" <adaplas@hotpop.com>

While browsing the video/fbcon.c source file (Linux 2.6.10-rc3) I found some
possible cleanups.  Patch follows, feel free to apply all or parts of it if it
looks OK to you.

Remove unnecessary bit operations.

Signed-off-by: Jean Delvare <khali@linux-fr.org>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/fbmon.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

diff -puN drivers/video/fbmon.c~fbdev-fbmon-cleanup drivers/video/fbmon.c
--- 25/drivers/video/fbmon.c~fbdev-fbmon-cleanup	Thu Jan 13 15:40:50 2005
+++ 25-akpm/drivers/video/fbmon.c	Thu Jan 13 15:40:50 2005
@@ -662,7 +662,7 @@ static void get_monspecs(unsigned char *
 
 	fb_get_monitor_limits(edid, specs);
 
-	c = (block[0] & 0x80) >> 7;
+	c = block[0] & 0x80;
 	specs->input = 0;
 	if (c) {
 		specs->input |= FB_DISP_DDI;
@@ -686,13 +686,10 @@ static void get_monspecs(unsigned char *
 			DPRINTK("0.700V/0.000V");
 			specs->input |= FB_DISP_ANA_700_000;
 			break;
-		default:
-			DPRINTK("unknown");
-			specs->input |= FB_DISP_UNKNOWN;
 		}
 	}
 	DPRINTK("\n      Sync: ");
-	c = (block[0] & 0x10) >> 4;
+	c = block[0] & 0x10;
 	if (c)
 		DPRINTK("      Configurable signal level\n");
 	c = block[0] & 0x0f;
_
